---
# Cop supports --autocorrect.
Layout/SpaceInsideParens:
  Exclude:
    - 'ee/spec/requests/customers_dot/proxy_controller_spec.rb'
    - 'ee/spec/serializers/member_user_entity_spec.rb'
    - 'ee/spec/services/app_sec/dast/site_profile_secret_variables/create_or_update_service_spec.rb'
    - 'ee/spec/services/app_sec/dast/site_validations/runner_service_spec.rb'
    - 'ee/spec/services/app_sec/fuzzing/coverage/corpuses/create_service_spec.rb'
    - 'ee/spec/services/audit_events/streaming/headers/base_spec.rb'
    - 'ee/spec/services/audit_events/streaming/headers/create_service_spec.rb'
    - 'ee/spec/services/audit_events/streaming/headers/destroy_service_spec.rb'
    - 'ee/spec/services/audit_events/streaming/headers/update_service_spec.rb'
    - 'ee/spec/services/ci_cd/github_integration_setup_service_spec.rb'
    - 'ee/spec/services/ci_cd/github_setup_service_spec.rb'
    - 'ee/spec/services/ee/boards/issues/list_service_spec.rb'
    - 'ee/spec/services/ee/notification_service_spec.rb'
    - 'ee/spec/services/ee/todos/destroy/entity_leave_service_spec.rb'
    - 'ee/spec/services/ee/users/update_service_spec.rb'
    - 'ee/spec/services/epic_issues/update_service_spec.rb'
    - 'ee/spec/services/epics/related_epic_links/destroy_service_spec.rb'
    - 'ee/spec/services/geo/container_repository_sync_spec.rb'
    - 'ee/spec/services/geo/replication_toggle_request_service_spec.rb'
    - 'ee/spec/services/gitlab_subscriptions/create_service_spec.rb'
    - 'ee/spec/services/groups/update_service_spec.rb'
    - 'ee/spec/services/merge_requests/build_service_spec.rb'
    - 'ee/spec/services/projects/update_mirror_service_spec.rb'
    - 'ee/spec/services/search/global_service_spec.rb'
    - 'ee/spec/services/search/group_service_spec.rb'
    - 'ee/spec/services/search/project_service_spec.rb'
    - 'ee/spec/services/security/ingestion/tasks/update_vulnerability_uuids_spec.rb'
    - 'ee/spec/services/security/merge_reports_service_spec.rb'
    - 'ee/spec/support/shared_examples/finders/epics_findable_examples.rb'
    - 'ee/spec/support/shared_examples/models/concerns/blob_replicator_strategy_shared_examples.rb'
    - 'spec/finders/events_finder_spec.rb'
    - 'spec/finders/labels_finder_spec.rb'
    - 'spec/helpers/application_helper_spec.rb'
    - 'spec/helpers/badges_helper_spec.rb'
    - 'spec/helpers/ci/builds_helper_spec.rb'
    - 'spec/helpers/dev_ops_report_helper_spec.rb'
    - 'spec/helpers/git_helper_spec.rb'
    - 'spec/helpers/gitlab_routing_helper_spec.rb'
    - 'spec/helpers/gitlab_script_tag_helper_spec.rb'
    - 'spec/helpers/tab_helper_spec.rb'
    - 'spec/initializers/carrierwave_s3_encryption_headers_patch_spec.rb'
    - 'spec/initializers/rdoc_segfault_patch_spec.rb'
    - 'spec/lib/api/entities/snippet_spec.rb'
    - 'spec/lib/banzai/filter/references/alert_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/feature_flag_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/label_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/merge_request_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/references/snippet_reference_filter_spec.rb'
    - 'spec/lib/banzai/filter/repository_link_filter_spec.rb'
    - 'spec/lib/bitbucket_server/representation/comment_spec.rb'
    - 'spec/lib/bulk_imports/common/pipelines/lfs_objects_pipeline_spec.rb'
    - 'spec/lib/bulk_imports/groups/pipelines/namespace_settings_pipeline_spec.rb'
    - 'spec/lib/error_tracking/sentry_client/projects_spec.rb'
    - 'spec/lib/error_tracking/sentry_client/repo_spec.rb'
    - 'spec/lib/feature/gitaly_spec.rb'
    - 'spec/lib/gitlab/app_text_logger_spec.rb'
    - 'spec/lib/gitlab/auth/o_auth/auth_hash_spec.rb'
    - 'spec/lib/gitlab/auth/saml/auth_hash_spec.rb'
    - 'spec/lib/gitlab/ci/build/image_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/reports_spec.rb'
    - 'spec/lib/gitlab/ci/config/entry/trigger_spec.rb'
    - 'spec/lib/gitlab/ci/parsers/security/common_spec.rb'
    - 'spec/lib/gitlab/ci/parsers_spec.rb'
    - 'spec/lib/gitlab/ci/pipeline/seed/build_spec.rb'
    - 'spec/lib/gitlab/ci/reports/test_suite_spec.rb'
    - 'spec/lib/gitlab/ci/templates/AWS/deploy_ecs_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/MATLAB_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Terraform/base_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/Terraform/base_latest_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/auto_devops_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/flutter_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/kaniko_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/katalon_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/npm_spec.rb'
    - 'spec/lib/gitlab/ci/templates/terraform_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/ci/templates/terraform_latest_gitlab_ci_yaml_spec.rb'
    - 'spec/lib/gitlab/database/migrations/runner_spec.rb'
    - 'spec/lib/gitlab/database/reindexing/reindex_concurrently_spec.rb'
    - 'spec/lib/gitlab/database_spec.rb'
    - 'spec/lib/gitlab/diff/highlight_cache_spec.rb'
    - 'spec/lib/gitlab/exclusive_lease_helpers_spec.rb'
    - 'spec/lib/gitlab/git/blob_spec.rb'
    - 'spec/lib/gitlab/git/commit_spec.rb'
    - 'spec/lib/gitlab/git/diff_spec.rb'
    - 'spec/lib/gitlab/git/repository_spec.rb'
    - 'spec/lib/gitlab/grape_logging/loggers/queue_duration_logger_spec.rb'
    - 'spec/lib/gitlab/grape_logging/loggers/token_logger_spec.rb'
    - 'spec/lib/gitlab/graphql/lazy_spec.rb'
    - 'spec/lib/gitlab/health_checks/simple_check_shared.rb'
    - 'spec/lib/gitlab/highlight_spec.rb'
    - 'spec/lib/gitlab/import_export/attributes_permitter_spec.rb'
    - 'spec/lib/gitlab/import_export/json/streaming_serializer_spec.rb'
    - 'spec/lib/gitlab/import_export/project/export_task_spec.rb'
    - 'spec/lib/gitlab/import_export/project/tree_saver_spec.rb'
    - 'spec/lib/gitlab/import_export/recursive_merge_folders_spec.rb'
    - 'spec/lib/gitlab/issuables_count_for_state_spec.rb'
    - 'spec/lib/gitlab/kubernetes/rollout_status_spec.rb'
    - 'spec/lib/gitlab/middleware/same_site_cookies_spec.rb'
    - 'spec/lib/gitlab/redis/cache_spec.rb'
    - 'spec/lib/gitlab/redis/queues_spec.rb'
    - 'spec/lib/gitlab/redis/shared_state_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/duplicate_jobs/strategies/until_executed_spec.rb'
    - 'spec/lib/gitlab/sidekiq_middleware/duplicate_jobs/strategies/until_executing_spec.rb'
    - 'spec/lib/gitlab/usage/metric_definition_spec.rb'
    - 'spec/lib/gitlab/usage/metrics/instrumentations/generic_metric_spec.rb'
    - 'spec/lib/gitlab/usage_data_spec.rb'
    - 'spec/lib/gitlab/utils/delegator_override/validator_spec.rb'
    - 'spec/lib/gitlab/utils/usage_data_spec.rb'
    - 'spec/lib/gitlab/x509/commit_spec.rb'
    - 'spec/lib/security/ci_configuration/container_scanning_build_action_spec.rb'
    - 'spec/lib/security/ci_configuration/sast_build_action_spec.rb'
    - 'spec/lib/security/ci_configuration/sast_iac_build_action_spec.rb'
    - 'spec/lib/security/ci_configuration/secret_detection_build_action_spec.rb'
    - 'spec/mailers/emails/profile_spec.rb'
    - 'spec/models/ci/pending_build_spec.rb'
    - 'spec/models/ci/running_build_spec.rb'
    - 'spec/models/ml/candidate_metric_spec.rb'
    - 'spec/models/ml/candidate_spec.rb'
    - 'spec/policies/clusters/agent_policy_spec.rb'
    - 'spec/policies/user_policy_spec.rb'
    - 'spec/presenters/ci/build_presenter_spec.rb'
    - 'spec/presenters/packages/conan/package_presenter_spec.rb'
    - 'spec/requests/jwt_controller_spec.rb'
    - 'spec/requests/projects/merge_requests/diffs_spec.rb'
    - 'spec/requests/projects/merge_requests_spec.rb'
    - 'spec/requests/projects/releases_controller_spec.rb'
    - 'spec/requests/search_controller_spec.rb'
    - 'spec/serializers/analytics_build_entity_spec.rb'
    - 'spec/services/bulk_imports/create_service_spec.rb'
    - 'spec/services/jira_connect_installations/proxy_lifecycle_event_service_spec.rb'
    - 'spec/services/users/destroy_service_spec.rb'
    - 'spec/support/helpers/database/partitioning_helpers.rb'
    - 'spec/support/helpers/dependency_proxy_helpers.rb'
    - 'spec/support/helpers/javascript_fixtures_helpers.rb'
    - 'spec/support/helpers/kubernetes_helpers.rb'
    - 'spec/support/shared_contexts/services/projects/container_repository/delete_tags_service_shared_context.rb'
    - 'spec/support/shared_examples/ci/badge_template_shared_examples.rb'
    - 'spec/support/shared_examples/controllers/destroy_hook_shared_examples.rb'
    - 'spec/support/shared_examples/features/project_features_apply_to_issuables_shared_examples.rb'
    - 'spec/support/shared_examples/features/wiki/user_views_wiki_page_shared_examples.rb'
    - 'spec/support/shared_examples/finders/packages/debian/distributions_finder_shared_examples.rb'
    - 'spec/support/shared_examples/graphql/types/gitlab_style_deprecations_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/position_formatters_shared_examples.rb'
    - 'spec/support/shared_examples/lib/gitlab/sidekiq_middleware/strategy_shared_examples.rb'
    - 'spec/support/shared_examples/mailers/notify_shared_examples.rb'
    - 'spec/support/shared_examples/models/concerns/integrations/slack_mattermost_notifier_shared_examples.rb'
    - 'spec/support/shared_examples/models/packages/debian/distribution_shared_examples.rb'
    - 'spec/support/shared_examples/requests/api/composer_packages_shared_examples.rb'
    - 'spec/support/shared_examples/requests/releases_shared_examples.rb'
    - 'spec/support/shared_examples/serializers/environment_serializer_shared_examples.rb'
    - 'spec/tasks/gitlab/db_rake_spec.rb'
    - 'spec/validators/devise_email_validator_spec.rb'
    - 'spec/views/dashboard/projects/_blank_state_welcome.html.haml_spec.rb'
    - 'spec/views/search/_results.html.haml_spec.rb'
    - 'spec/workers/concerns/gitlab/github_import/object_importer_spec.rb'
    - 'spec/workers/gitlab/jira_import/stage/import_labels_worker_spec.rb'
    - 'spec/workers/pipeline_schedule_worker_spec.rb'
    - 'spec/workers/purge_dependency_proxy_cache_worker_spec.rb'
    - 'spec/workers/releases/manage_evidence_worker_spec.rb'
    - 'spec/workers/run_pipeline_schedule_worker_spec.rb'
